import App from './App'
import Vue from 'vue'
import getOpenId from './apis/utils/init.js'
import './assets/font/font.css'


getOpenId.init()

import mixin from './apis/utils/mixin.js'

Vue.prototype.carhelp = mixin

//import Vconsole from 'vconsole'
//import uView from "uview-ui";
import uView from '@/uni_modules/uview-ui'

Vue.use(uView);


Vue.mixin({
	updated: function() {
		
	},
	onReady() {


	},
	onLoad(option) {
		if (option.test == 'test') {
			//let vConsole = new Vconsole()
		}

	},
	methods: {
		
		gotoUrl(url,tab) {
			uni.navigateTo({
				url: "/" + url
			})
			
		}
	}
})


Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
